Subject: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS 10.14

From: Christian Johansson <[email-masked]>
Date: Fri, 9 Nov 2018 13:08:25 +0100

Hi!

I don’t get the error on master, just this branch. I tried setting execute-file-commands-asynchronously to nil to make sure it’s unthreaded with same result

Regards
Christian

> 9 nov. 2018 kl. 11:12 skrev Michael Albinus <[email-masked]>:
> 
> Christian Johansson <[email-masked]> writes:
> 
>> Hi
> 
> Hi Christian,
> 
>> In the other scenario I have repeatedly got the error when visiting a
>> archive (find-file) on remote ssh tramp host that is also piped into
>> another user like this:
>> (find-file
>> "/ssh:[email-masked]|sudo:[email-masked]:/home/otheruser/myzip.zip")
>> 
>> It crashes when I do it synchronously (unthreaded)
>> 
>> I also think I get the error when visiting directory in dired like
>> (dired
>> "/ssh:[email-masked]|sudo:[email-masked]:/home/otheruser/"),
>> also unthreaded
> 
> Does it happen only in the feature/tramp-thread-safe branch, or also in
> the master branch?
> 
> Anyway, I cant reproduce it locally on GNU/Linux, so there is something
> wrong in the macOS implementation of threads I fear.
> 
> Best regards, Michael.